<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#
namespace Platiti\GPWebPayGpeNs\OpenCart;

use Platiti\GPWebPayGpeNs\UniModul\UniModulConfig;
use Platiti\GPWebPayGpeNs\UniModul\UniModulFactory;
use Platiti\GPWebPayGpeNs\UniModul\ConfigSetting;

if (!function_exists ('uniadapterSetTexts')) { // kvuli Language editor od VAN studia
	/**
	 * @param array<string, string> $_
	 * @param string $uniModulName
	 * @param string $language
	 * @param ?string $subMethod
	 * @param string $openCartUniModulName
	 * @return void
	 */
	function uniadapterSetTexts(&$_, $uniModulName, $language, $subMethod, $openCartUniModulName) {
		if ("GPWebPayGpeNs" != "Pti"."UniNs") { // @phpstan-ignore-line
			require_once(DIR_EXTENSION."/".strtolower($openCartUniModulName)."binder/system/library/UniModul/UniModul.php");
		} else {
			require_once(DIR_EXTENSION."/UniAdapter/system/library/UniModul/UniModul.php");
		}
		$uniFact = new UniModulFactory();
		$dummyConfigSettings = new ConfigSetting();
		$dummyConfigSettings->uniModulConfig = new UniModulConfig();
		$uniModul = $uniFact->createUniModul($uniModulName, $dummyConfigSettings, $subMethod);
		$binderName = strtolower($uniModulName) . 'binder' . strtolower($subMethod ?? "");
		if ($subMethod == '') {
			$_['heading_title'] = $binderName . ': ' . $uniModul->dictionary->get('payment_method_name', $language);
			$_['text_edit'] = $uniModul->dictionary->get('payment_method_name', $language);
		} else {
			$_['heading_title'] = $binderName . ': ' . $uniModul->dictionary->get('submethod_name_' . $subMethod, $language);
			$_['text_edit'] = $uniModul->dictionary->get('submethod_name_' . $subMethod, $language);
		}
	}
}
